-- Stored procedure  
-- =================================================  
-- Author:  COLAIANNI-CONSOLI  
-- Create date: 28/06/2011  
-- Description: SETTA A STATO 2 I REPORT CON RFA=0   
-- =================================================  
CREATE procedure [C6MartPeriodico].[CHECK_RFA_ZERO]  
AS  
BEGIN  
TRUNCATE TABLE C6MartPeriodico.CONTROLLO_TRIMESTRALE_RFA_ZERO  
INSERT INTO C6MartPeriodico.CONTROLLO_TRIMESTRALE_RFA_ZERO  
SELECT a.rete, a.cod_fiscale, a.codicecontratto   
from   
--c6martperiodico.rp_vcontrattipergenerazionereport a  
C6stagingPERIODICO.appo_contratti_v a  
left join C6MARTPERIODICO.PATRIMONIO_BF b  
on a.rete = b.rete  
and a.cod_fiscale = b.cod_fiscale  
where b.rete is null  
UPDATE   
 C6MARTPERIODICO.CONTROLLO_TRIMESTRALE   
SET  
 STATO_REPORT = 2,  
 DATA_TRANSIZIONE = GETDATE()  
WHERE   
 RETE+COD_FISCALE IN  
 (  
  SELECT RETE+COD_FISCALE FROM C6MartPeriodico.CONTROLLO_TRIMESTRALE_RFA_ZERO  
 )  
END